### Method

# Fwupd JsonArray get_string

since: 2.1.1

#### Declaration [src]

    GRefString*
    fwupd_json_array_get_string (
      FwupdJsonArray* self,
      guint idx,
      GError** error
    )

#### Description [src]

Gets a string from a JSON array.

Available since: 2.1.1

This method is not directly available to language bindings.

#### Parameters

`idx`

  Type: `guint`

  Index into the array.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GRefString`

A string, or `NULL` for error.

The returned data is owned by the instance.